# Install

`pip install InformativeFeatureSelection`

# Features

* Several implementations of feature selection algorithms based on discriminant analysis
* Binary implementation of Informative Normalized Difference Index (INDI)
* Multiclass implementation of INDI 

INDI may be extremely usefully in hyperspectral imaging analysis.

Implemented algorithms were proposed in the following papers:
1. [Paringer RA, Mukhin AV, Kupriyanov AV. Formation of an informative index for recognizing specified 
objects in hyperspectral data. Computer Optics 2021; 45(6): 873-878. DOI: 10.18287/2412-6179-CO-930.](http://www.computeroptics.ru/KO/PDF/KO45-6/450611.pdf)

2. [Mukhin, A., Paringer, R. and Ilyasova, N., 2021, September. Feature selection algorithm with feature space
separability estimation using discriminant analysis. In 2021 International Conference on Information Technology
and Nanotechnology (ITNT) (pp. 1-4). IEEE.](https://ieeexplore.ieee.org/document/9649144)

# Usage example

See jupyter notebook file in `examples` folder. 

# License

[MIT License](LICENSE)
